//+------------------------------------------------------------------+
//|                                               #set_BF_v07v61.mq4 |
//|                                      Copyright  2009, Fibook.ru |
//|                                             http://www.fibook.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Fibook.ru"
#property link      "http://www.fibook.ru"
#property show_inputs
extern int     Automat_Profit    = 50,   // 0    (  X!Meter&QQ); 
               n_bar             = 8;    // 1    
extern double  Lot_minimum       = 0.1;  // 2    0-auto
extern int     stoploss          = 0,    // 3  - 
               takeprofit        = 0,    // 4  -
               OnTrailProfit     = 25,   // 5      %   
               LimitProfitLot    = 500,  // 6     
               FinalProfit       = 1500, // 7    
               limit_orders      = 1,    // 8        
               start_BE          = 40,   // 9     
               step_BE           = 10,   // 10        
               sumReverse        = 45,   // 11      
               Stop_All          = 20,   // 12        
               OnTrailMurrey     = 0,    // 13     ( ); 
               OnTrailLSMA       = 1,    // 14      ;
               OnTrailIchimoku   = 1,    // 15   ;
               Slippage          = 3,    // 16 ;
               tfMurrey          = 60,   // 17   Murrey;
               paramMurrey       = 128,  // 18   Murrey;
               LWpart            = 100,  // 19 [%]        ;
               LossMax           = 200,  // 20 .   1.  USD. PS:    != USD -  ; 
               VarStopOut        = 0,    // 21   ; 0- , 1 -      
               Language          = 0,    // 22 : 0-, 1-English; 
               factor_lot        = 1000, // 23  ;
               user_pairs        = 0,    // 24   ; 
               start_time        = 0,    // 25   
               end_time          = 0,    // 26   
               stop_basket       = 600,  // 27      stop_basket
               reserve28         = 0;    // 28 Reserve
int            endFile           = -1061;// 29  

extern string  pair1="",
               pair2="",
               pair3="",
               pair4="",
               pair5="",
               pair6="",
               pair7="",
               pair8="",
               pair9="",
               pair10="",
               pair11="",
               pair12="",
               pair13="",
               pair14="";
               
int dataArray [1];
string arrSym[14];
string ver="61";
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
int handle;
CopyToArray ();
string fileSet = AccountNumber()+"_set_bf"+ver+".txt";
   
   handle= FileOpen(fileSet, FILE_CSV|FILE_READ, ';');
   if (handle!=-1)
      {
         FileClose(handle);
         FileDelete(fileSet);
      }
   handle= FileOpen(fileSet, FILE_CSV|FILE_READ|FILE_WRITE, ';');
             if(handle>0)
              {
               FileSeek(handle, 0, SEEK_SET);
               for(int i=0; i<ArraySize(dataArray); i++) FileWrite(handle, dataArray [i]);
               FileClose(handle);
               handle=0;
              }
    if (user_pairs==0) return;
    copyArrSym();
    handle= FileOpen(AccountNumber()+"_user_bf"+ver+".txt", FILE_CSV|FILE_READ|FILE_WRITE, ';');
             if(handle>0)
              {
               FileSeek(handle, 0, SEEK_SET);
               for(i=0; i<ArraySize(arrSym); i++) 
                  if (arrSym[i]!="") FileWrite(handle, arrSym [i]);
               FileClose(handle);
               handle=0;
              }
//----
   return(0);
  }
//+------------------------------------------------------------------+
void CopyToArray ()
   {
dataArray [ArraySize(dataArray)-1] = Automat_Profit; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = n_bar; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = Lot_minimum*factor_lot; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = stoploss; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = takeprofit; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = OnTrailProfit; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = LimitProfitLot; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = FinalProfit; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = limit_orders; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = start_BE; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = step_BE; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = sumReverse; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = Stop_All; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = OnTrailMurrey; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = OnTrailLSMA; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = OnTrailIchimoku; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = Slippage; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = tfMurrey; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = paramMurrey; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = LWpart; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = LossMax; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = VarStopOut; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = Language; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = factor_lot; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = user_pairs; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = start_time; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = end_time; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = stop_basket; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = reserve28; ArrayResize(dataArray,ArraySize(dataArray)+1);
dataArray [ArraySize(dataArray)-1] = endFile;
   }
void copyArrSym()
   {
         arrSym[0]=pair1;
         arrSym[1]=pair2;
         arrSym[2]=pair3;
         arrSym[3]=pair4;
         arrSym[4]=pair5;
         arrSym[5]=pair6;
         arrSym[6]=pair7;
         arrSym[7]=pair8;
         arrSym[8]=pair9;
         arrSym[9]=pair10;
         arrSym[10]=pair11;
         arrSym[11]=pair12;
         arrSym[12]=pair13;
         arrSym[13]=pair14;

   }   